module.exports = {
    publicPath: '',
    productionSourceMap: false,
    devServer: {
        port: 8080,
        open: true,
        disableHostCheck: true,
        proxy: {  //配置跨域
            '/api': {
                target: 'https://out.yoqi.me/',
                ws: false,
                changOrigin: true,  //允许跨域
                pathRewrite: {
                    '^/api': ''
                }
            }
        }
    },
    configureWebpack: {
        resolve: {
            alias: {
                // '@': 'src',
                assets: '@/assets',
                common: '@/common',
                components: '@/components',
                api: '@/api',
                views: '@/views'
            }
        }
    }
};
